package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 3:43 下午
 * 邮箱: itgaojian@163.com
 * 描述: 菜品实体
 */
@Entity(tableName = "food_food")
public class FoodFoodBean {
    @NonNull
    @PrimaryKey
    private int id;//` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜品自增主键',
    @ColumnInfo(name = "uid")
    private String uid;//` char(36) NOT NULL COMMENT '菜品36位主键',
    @ColumnInfo(name = "food_name")
    private String foodName;//` varchar(50) DEFAULT NULL COMMENT '菜品名称',
    @ColumnInfo(name = "food_photo")
    private String foodPhoto;//` char(36) DEFAULT NULL COMMENT '菜品图片(Base64)',
    @ColumnInfo(name = "food_price")
    private int foodPrice;//` bigint(20) DEFAULT NULL COMMENT '菜品价格',
    @ColumnInfo(name = "food_flavor")
    private String foodFlavor;//` char(36) DEFAULT NULL COMMENT '菜品口味:1:甜,2:辣,3:酸,4:麻,5:咸',
    @ColumnInfo(name = "food_type")
    private String foodType;//` char(36) DEFAULT NULL COMMENT '菜品类型:1:凉菜/2:炒菜/3:炖菜/4:主食/5:汤类/6:饮品',
    @ColumnInfo(name = "food_unit")
    private String foodUnit;//` char(36) DEFAULT NULL COMMENT '菜品单位',
    @ColumnInfo(name = "food_weight")
    private String foodWeight;//` varchar(50) DEFAULT NULL COMMENT '菜品份量',
    @ColumnInfo(name = "food_remark")
    private String foodRemark;// varchar(500) DEFAULT NULL COMMENT '菜品备注',
    @ColumnInfo(name = "canteen_id")
    private String canteenId;//` char(36) DEFAULT NULL COMMENT '关联食堂36位主键',
    @ColumnInfo(name = "sync_number")
    private int syncNumber;//` bigint(20) DEFAULT NULL COMMENT '同步号',
    @ColumnInfo(name = "creator")
    private String creator;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getFoodName() {
        return foodName;
    }

    public void setFoodName(String foodName) {
        this.foodName = foodName;
    }

    public String getFoodPhoto() {
        return foodPhoto;
    }

    public void setFoodPhoto(String foodPhoto) {
        this.foodPhoto = foodPhoto;
    }

    public int getFoodPrice() {
        return foodPrice;
    }

    public void setFoodPrice(int foodPrice) {
        this.foodPrice = foodPrice;
    }

    public String getFoodFlavor() {
        return foodFlavor;
    }

    public void setFoodFlavor(String foodFlavor) {
        this.foodFlavor = foodFlavor;
    }

    public String getFoodType() {
        return foodType;
    }

    public void setFoodType(String foodType) {
        this.foodType = foodType;
    }

    public String getFoodUnit() {
        return foodUnit;
    }

    public void setFoodUnit(String foodUnit) {
        this.foodUnit = foodUnit;
    }

    public String getFoodWeight() {
        return foodWeight;
    }

    public void setFoodWeight(String foodWeight) {
        this.foodWeight = foodWeight;
    }

    public String getFoodRemark() {
        return foodRemark;
    }

    public void setFoodRemark(String foodRemark) {
        this.foodRemark = foodRemark;
    }

    public String getCanteenId() {
        return canteenId;
    }

    public void setCanteenId(String canteenId) {
        this.canteenId = canteenId;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    @Override
    public String toString() {
        return "FoodFoodBean{" +
            "id=" + id +
            '}';
    }
}
